GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions
GrpcBufferReader Class Reference

## Public Member Functions
| GrpcBufferReader (grpc_byte_buffer *buffer)
| ~GrpcBufferReader () GRPC_OVERRIDE
bool | Next (const void **data, int *size) GRPC_OVERRIDE
void | BackUp (int count) GRPC_OVERRIDE
bool | Skip (int count) GRPC_OVERRIDE
grpc::protobuf::int64 | ByteCount () const GRPC_OVERRIDE

## Constructor & Destructor Documentation

GrpcBufferReader::GrpcBufferReader | ( | grpc_byte_buffer * | buffer | ) |
| inline explicit

GrpcBufferReader::~GrpcBufferReader | ( |  | ) |
| inline

## Member Function Documentation

void GrpcBufferReader::BackUp | ( | int | count | ) |
| inline

grpc::protobuf::int64 GrpcBufferReader::ByteCount | ( |  | ) | const
| inline

bool GrpcBufferReader::Next | ( | const void ** | data,
|  | int * | size
| ) |  |
| inline

bool GrpcBufferReader::Skip | ( | int | count | ) |
| inline

The documentation for this class was generated from the following file:

- src/cpp/proto/proto_utils.cc